module AMS::Screen
  class << self

    # Get screen resolution of the primary monitor.
    # @return [Array<Fixnum>] +[width, height]+ in pixels.
    # @since 2.0.0
    def resolution
      w = AMS::C.get_system_metrics(0) # SM_CXSCREEN
      h = AMS::C.get_system_metrics(1) # SM_CYSCREEN
      return [w,h]
    end

    # Get screen resolution of all monitors combined.
    # @return [Array<Fixnum>] +[width, height]+ in pixels.
    # @since 2.0.0
    def virtual_resolution
      w = AMS::C.get_system_metrics(78) # SM_CXVIRTUALSCREEN
      h = AMS::C.get_system_metrics(79) # SM_CYVIRTUALSCREEN
      return [w,h]
    end

  end # class << self
end # module AMS::Screen
