module AMS::Timer
  class << self

    # Create a timed procedure.
    # @param [Fixnum] time_out Time out in milliseconds.
    # @param [Fixnum] repeat
    # @yieldparam [Fixnum] count The number of times the timer was called.
    # @yieldparam [Fixnum] time Current time.
    # @return [Fixnum] Timer ID
    # @since 2.0.0
    def start(time_out, repeat, &block)
      AMS::C.start_timer(time_out, repeat, &block)
    end

    # Kill the specified timed procedure.
    # @param [Fixnum] id Timer ID
    # @return [Boolean] success
    # @since 2.0.0
    def stop(id)
      AMS::C.stop_timer(id)
    end

  end # class << self
end # module AMS::Timer
